# Hi! If you are lurking here, either you want to "borrow" some code or just modify some sounds :)
# Here is the format:
# {
#   button_type: [
#       {sound:"",pitch:1,time:1}
#   ] 
# }
# button_type = What type the button is like is it acacia or oak or blackstone.
# sound = The list of sounds you can see in /playsound
# pitch = The pitch of the sound being played, IMPORTANT: You can only limit this to 0-1, anything else and your sound will not play.
# time = The delay before the next note, a time of 0 means it is instant. This is measured in ticks.

data modify storage doorbells:sounds oak set value [\
    {sound:"block.note_block.bell",pitch:0.8,time:15}, \
    {sound:"block.note_block.bell",pitch:0.68,time:0} \
]

data modify storage doorbells:sounds dark_oak set value [\
    {sound:"block.note_block.bell",pitch:0.6,time:15}, \
    {sound:"block.note_block.bell",pitch:0.48,time:0}, \
]

data modify storage doorbells:sounds jungle set value [\
    {sound:"block.note_block.bell",pitch:0.4,time:0}, \
    {sound:"entity.parrot.ambient",pitch:1,time:10}, \
    {sound:"block.note_block.bell",pitch:0.68,time:10}, \
    {sound:"block.note_block.bell",pitch:0.8,time:0}, \
    {sound:"entity.parrot.ambient",pitch:1,time:0} \
]

data modify storage doorbells:sounds acacia set value [\
    {sound:"block.note_block.banjo",pitch:1,time:5}, \
    {sound:"block.note_block.banjo",pitch:0.88,time:5}, \
    {sound:"block.note_block.banjo",pitch:1,time:10}, \
    {sound:"block.note_block.banjo",pitch:0.88,time:5}, \
    {sound:"block.note_block.banjo",pitch:1,time:5}, \
    {sound:"block.note_block.banjo",pitch:0.88,time:0}, \
]

data modify storage doorbells:sounds birch set value [\
    {sound:"block.note_block.bell",pitch:0.8,time:0}, \
    {sound:"entity.bee.pollinate",pitch:0.8,time:10}, \
    {sound:"block.note_block.bell",pitch:0.68,time:10}, \
    {sound:"block.note_block.bell",pitch:0.4,time:0}, \
    {sound:"entity.bee.pollinate",pitch:0.8,time:0}, \
]

data modify storage doorbells:sounds spruce set value [\
    {sound:"block.note_block.cow_bell",pitch:0.2,time:2}, \
    {sound:"block.note_block.cow_bell",pitch:0.25,time:1}, \
    {sound:"block.note_block.cow_bell",pitch:0.35,time:1}, \
    {sound:"block.note_block.cow_bell",pitch:0.5,time:1}, \
    {sound:"block.note_block.cow_bell",pitch:0.7,time:1}, \
    {sound:"block.note_block.cow_bell",pitch:0.8,time:2}, \
    {sound:"block.note_block.cow_bell",pitch:0.8,time:2}, \
    {sound:"block.note_block.cow_bell",pitch:0.8,time:2}, \
    {sound:"block.note_block.cow_bell",pitch:0.8,time:2}, \
    {sound:"block.note_block.cow_bell",pitch:0.8,time:2}, \
    {sound:"block.note_block.cow_bell",pitch:0.8,time:2}, \
    {sound:"block.note_block.cow_bell",pitch:0.78,time:1}, \
    {sound:"block.note_block.cow_bell",pitch:0.76,time:1}, \
    {sound:"block.note_block.cow_bell",pitch:0.72,time:1}, \
    {sound:"block.note_block.cow_bell",pitch:0.7,time:1}, \
    {sound:"block.note_block.cow_bell",pitch:0.68,time:1}, \
    {sound:"block.note_block.cow_bell",pitch:0.65,time:2}, \
    {sound:"block.note_block.cow_bell",pitch:0.65,time:2}, \
    {sound:"block.note_block.cow_bell",pitch:0.65,time:2}, \
    {sound:"block.note_block.cow_bell",pitch:0.65,time:2}, \
    {sound:"block.note_block.cow_bell",pitch:0.65,time:2}, \
    {sound:"block.note_block.cow_bell",pitch:0.65,time:2}, \
    {sound:"block.note_block.cow_bell",pitch:0.65,time:0}, \
]

data modify storage doorbells:sounds mangrove set value [\
    {sound:"block.note_block.guitar",pitch:0.6,time:2}, \
    {sound:"block.note_block.guitar",pitch:0.8,time:1}, \
    {sound:"block.note_block.guitar",pitch:0.9,time:15}, \
    {sound:"block.note_block.guitar",pitch:0.3,time:1}, \
    {sound:"block.note_block.guitar",pitch:0.5,time:1}, \
    {sound:"block.note_block.guitar",pitch:0.68,time:0} \
]

data modify storage doorbells:sounds cherry set value [\
    {sound:"block.note_block.flute",pitch:0.8,time:0}, \
    {sound:"block.note_block.flute",pitch:0.6,time:0}, \
    {sound:"entity.cat.ambient",pitch:1.8,time:15}, \
    {sound:"block.note_block.flute",pitch:0.68,time:0}, \
    {sound:"block.note_block.flute",pitch:0.48,time:0}, \
    {sound:"entity.cat.ambient",pitch:1.68,time:0} \
]

data modify storage doorbells:sounds bamboo set value [\
    {sound:"minecraft:entity.panda.pre_sneeze",pitch:1,time:0}, \
    {sound:"block.note_block.iron_xylophone",pitch:0.8,time:15}, \
    {sound:"minecraft:entity.panda.sneeze",pitch:1,time:0}, \
    {sound:"block.note_block.iron_xylophone",pitch:0.68,time:0} \
]

data modify storage doorbells:sounds crimson set value [\
    {sound:"block.note_block.didgeridoo",pitch:0.5,time:10}, \
    {sound:"block.note_block.didgeridoo",pitch:0.6,time:0}, \
    {sound:"entity.piglin.celebrate",pitch:1,time:5}, \
    {sound:"block.note_block.didgeridoo",pitch:0.5,time:3}, \
    {sound:"block.note_block.didgeridoo",pitch:0.5,time:3}, \
]

data modify storage doorbells:sounds warped set value [\
    {sound:"entity.blaze.burn",pitch:1,time:0}, \
    {sound:"block.note_block.xylophone",pitch:0.5,time:4}, \
    {sound:"block.note_block.xylophone",pitch:0.6,time:6}, \
    {sound:"block.note_block.xylophone",pitch:0.5,time:0}, \
    {sound:"entity.hoglin.ambient",pitch:1,time:5}, \
    {sound:"block.note_block.xylophone",pitch:0.5,time:3}, \
    {sound:"block.note_block.xylophone",pitch:0.6,time:3}, \
]

data modify storage doorbells:sounds stone set value [\
    {sound:"block.bell.use",pitch:1,time:2}, \
    {sound:"block.bell.resonate",pitch:0.5,time:45}, \
    {sound:"block.bell.use",pitch:0.75,time:2}, \
    {sound:"block.bell.resonate",pitch:1,time:20}, \
    {sound:"block.bell.use",pitch:0.75,time:2}, \
    {sound:"block.bell.use",pitch:0.8,time:2}, \
    {sound:"block.bell.use",pitch:0.75,time:2}, \
    {sound:"block.bell.use",pitch:0.6,time:2} \
]
data modify storage doorbells:sounds polished_blackstone set value [\
    {sound:"block.note_block.didgeridoo",pitch:0.6,time:2}, \
    {sound:"block.note_block.didgeridoo",pitch:0.6,time:2}, \
    {sound:"block.note_block.didgeridoo",pitch:0.6,time:2}, \
    {sound:"block.note_block.didgeridoo",pitch:0.6,time:2}, \
    {sound:"block.note_block.didgeridoo",pitch:0.6,time:2}, \
    {sound:"block.note_block.didgeridoo",pitch:0.6,time:2}, \
    {sound:"block.note_block.didgeridoo",pitch:0.4,time:2}, \
    {sound:"block.note_block.didgeridoo",pitch:0.4,time:2}, \
    {sound:"block.note_block.didgeridoo",pitch:0.4,time:2}, \
    {sound:"block.note_block.didgeridoo",pitch:0.4,time:2}, \
    {sound:"block.note_block.didgeridoo",pitch:0.4,time:2}, \
    {sound:"block.note_block.didgeridoo",pitch:0.4,time:0}, \
    {sound:"item.firecharge.use",pitch:0.4,time:0}, \
    {sound:"item.firecharge.use",pitch:0.6,time:0}, \
    {sound:"item.firecharge.use",pitch:0.8,time:0} \
]

scoreboard players set $sounds_loaded doorbells.vars 1